## charm 2.1.0

=== debian/changelog ===
charm (2.1.0-0ubuntu1) xenial; urgency=medium

  * Initial release (LP: #1546776).

 -- Marco Ceppi <marco@ceppi.net>  Mon, 11 Apr 2016 15:36:26 +0100

## charm 2.1.1

=== src/github.com/juju/juju/Makefile ===
#
# Makefile for juju-core.
#

ifndef GOPATH
$(warning You need to set up a GOPATH.  See the README file.)
endif

PROJECT := github.com/juju/juju
PROJECT_DIR := $(shell go list -e -f '{{.Dir}}' $(PROJECT))

ifeq ($(shell uname -p | sed -r 's/.*(86|armel|armhf).*/golang/'), golang)
	GO_C := golang
	INSTALL_FLAGS :=
else
	GO_C := gccgo-4.9  gccgo-go
	INSTALL_FLAGS := -gccgoflags=-static-libgo
endif

define DEPENDENCIES
  ca-certificates
  bzip2
  bzr
  distro-info-data
  git-core
  mercurial
  juju-local
  zip
  $(GO_C)
endef

default: build

# Start of GOPATH-dependent targets. Some targets only make sense -
# and will only work - when this tree is found on the GOPATH.
ifeq ($(CURDIR),$(PROJECT_DIR))

ifeq ($(JUJU_MAKE_GODEPS),true)
$(GOPATH)/bin/godeps:
	go get launchpad.net/godeps

godeps: $(GOPATH)/bin/godeps
	$(GOPATH)/bin/godeps -u dependencies.tsv
else
godeps:
	@echo "skipping godeps"
endif

build: godeps
	go build $(PROJECT)/...

check: godeps
	go test -test.timeout=1200s $(PROJECT)/...

install: godeps
	go install $(INSTALL_FLAGS) -v $(PROJECT)/...

clean:
	go clean $(PROJECT)/...

else # --------------------------------

build:
	$(error Cannot $@; $(CURDIR) is not on GOPATH)

check:
	$(error Cannot $@; $(CURDIR) is not on GOPATH)

install:
	$(error Cannot $@; $(CURDIR) is not on GOPATH)

clean:
	$(error Cannot $@; $(CURDIR) is not on GOPATH)

endif
# End of GOPATH-dependent targets.

# Reformat source files.
format:
	gofmt -w -l .

# Reformat and simplify source files.
simplify:
	gofmt -w -l -s .

# Install packages required to develop Juju and run tests. The stable
# PPA includes the required mongodb-server binaries.
install-dependencies:
ifeq ($(shell lsb_release -cs|sed -r 's/precise/old/'),old)
	@echo Adding juju PPAs for golang and mongodb-server
	@sudo apt-add-repository --yes ppa:juju/golang
	@sudo apt-add-repository --yes ppa:juju/stable
	@sudo apt-get update
endif
	@echo Installing dependencies
	@sudo apt-get --yes install --no-install-recommends \
	$(strip $(DEPENDENCIES)) \
	$(shell apt-cache madison juju-mongodb mongodb-server | head -1 | cut -d '|' -f1)

# Install bash_completion
install-etc:
	@echo Installing bash completion
	@sudo install -o root -g root -m 644 etc/bash_completion.d/juju-core /etc/bash_completion.d

GOCHECK_COUNT="$(shell go list -f '{{join .Deps "\n"}}' github.com/juju/juju/... | grep -c "gopkg.in/check.v*")"
check-deps:
	@echo "$(GOCHECK_COUNT) instances of gocheck not in test code"

.PHONY: build check install
.PHONY: clean format simplify
.PHONY: install-dependencies
.PHONY: check-deps

=== debian/changelog ===
charm (2.1.1-0ubuntu1) xenial; urgency=medium

  * New upstream point release, resolving issues uploading
    charms directly to the charm store.

 -- Marco Ceppi <marco@ceppi.net>  Thu, 14 Apr 2016 14:16:54 +0100

=== debian/control ===
Source: charm
Section: devel
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Marco Ceppi <marco@ceppi.net>
Build-Depends: debhelper (>= 9~),
               devscripts,
               golang-go (>= 2:1.2),
               lsb-release
Standards-Version: 3.9.7
Homepage: http://github.com/juju/charmstore-client

Package: charm
Architecture: any
Depends: distro-info, ${misc:Depends}, ${shlibs:Depends}
Breaks: charm-tools (<< 2.0)
Replaces: charm-tools (<< 2.0)
Recommends: charm-tools (>= 2.0), juju2 | juju
Description: Tool for publishing and maintaining Juju charms
 The charm command provides commands and tools for managing
 Juju charms in the Juju charm store.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export GOPATH:=${CURDIR}
export PATH:=$(GOPATH)/bin:$(PATH)

%:
	dh $@

COMMON_FLAGS:= -x -v

override_dh_auto_install:
	go test $(COMMON_FLAGS) github.com/juju/charmstore-client/cmd/charm
	go install $(COMMON_FLAGS) github.com/juju/charmstore-client/cmd/charm

override_dh_auto_clean:
	rm -rf pkg bin
	dh_auto_clean

override_dh_clean:
	dh_clean -Xsrc/github.com/juju/xml

# Don't strip golang compiled binaries as this does
# not function correctly
override_dh_strip:
	:

override_dh_gencontrol:
	dh_gencontrol -- $(DB_DEP)

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/<project>-$1\.tar\.gz/ \
  https://github.com/juju/charmstore/tags .*/v?(\d\S*)\.tar\.gz

## charm src

=== doc/bigsim/Makefile ===
# Stub makefile for LaTeX PPL manual
FILE	= manual
TEX	= $(FILE).tex install.tex emulator.tex bgapi.tex interpolation.tex

DEST	= bigsim
LATEX2HTML	= $(L2H) -split 5

include ../Makefile.common

index.tex:
	touch index.tex
